Class | Sequel::SQL::JoinUsingClause
In: | lib/sequel/sql.rb lib/sequel/extensions/eval_inspect.rb
Parent: | JoinClause

Represents an SQL JOIN clause with USING conditions.

### Methods

new

### Attributes

using | [R] | The columns that appear in both tables that should be equal for the conditions to match.

### Public Class methods

new(using, *args)

Create an object with the given USING conditions and call super with the remaining args.

[Source]

          # File lib/sequel/sql.rb, line 1188
    1188:       def initialize(using, *args)
    1189:         @using = using
    1190:         super(*args)
    1191:       end

[Validate]